SDL_TRY_ACQUIRE_SHARED(3)

NAME
SDL_TRY_ACQUIRE_SHARED - Wrapper around Clang thread safety analysis annotations.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_TRY_ACQUIRE_SHARED(x, y) .BI SDL_THREAD_ANNOTATION_ATTRIBUTE__(try_acquire_shared_capability(x,y))

DESCRIPTION
Please see https://clang.llvm.org/docs/ThreadSafetyAnalysis.html#mutex-h

AVAILABILITY
This macro is available since SDL 3.2.0.